Next: Spreadsheet attribute editor, Previous: Netlister, Up: Lepton EDA Reference Manual [Contents][Index]

## 7 lepton-cli - Lepton command-line utility

`lepton-cli` provides a number of small command-line utilities for working with Lepton schematic and symbol files, and is designed to be used for batch processing of designs created using the schematic editor Schematic capture.

General usage is:

    lepton-cli [OPTION...] COMMAND [ARGS ...]

Currently, COMMAND can be one of `config`, `export`, or `shell`.

Here is the description of `lepton-cli`’s general options:

`--no-rcfiles`

  Prevent `gafrc` Scheme initialisation files from being loaded.

`-h`
`--help`

  Print a help message.

`-V`
`--version`

  Print `lepton-cli` version information.